Interface GoogleCloudStorageEndpointBuilderFactory.GoogleCloudStorageBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- GoogleCloudStorageEndpointBuilderFactory
public static interface GoogleCloudStorageEndpointBuilderFactory.GoogleCloudStorageBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default GoogleCloudStorageEndpointBuilderFactory.GoogleCloudStorageEndpointBuildergoogleStorage(String path)Google Storage (camel-google-storage) Store and retrieve objects from Google Cloud Storage Service using the google-cloud-storage library.default GoogleCloudStorageEndpointBuilderFactory.GoogleCloudStorageEndpointBuildergoogleStorage(String componentName, String path)Google Storage (camel-google-storage) Store and retrieve objects from Google Cloud Storage Service using the google-cloud-storage library.
-
-
-
Method Detail
-
googleStorage
default GoogleCloudStorageEndpointBuilderFactory.GoogleCloudStorageEndpointBuilder googleStorage(String path)
Google Storage (camel-google-storage) Store and retrieve objects from Google Cloud Storage Service using the google-cloud-storage library. Category: cloud Since: 3.9 Maven coordinates: org.apache.camel:camel-google-storage Syntax:google-storage:bucketNamePath parameter: bucketName (required) Bucket name or ARN- Parameters:
path- bucketName- Returns:
- the dsl builder
-
googleStorage
default GoogleCloudStorageEndpointBuilderFactory.GoogleCloudStorageEndpointBuilder googleStorage(String componentName, String path)
Google Storage (camel-google-storage) Store and retrieve objects from Google Cloud Storage Service using the google-cloud-storage library. Category: cloud Since: 3.9 Maven coordinates: org.apache.camel:camel-google-storage Syntax:google-storage:bucketNamePath parameter: bucketName (required) Bucket name or ARN- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- bucketName- Returns:
- the dsl builder
-
-